import { type TemplatePath, type PromptChoices } from "../types";
import { type ConnectionResponseDto } from "../http/get-connections-request";
/**
 * Returns all connections that are associated with a template by checking
 * the config file.
 */
export declare function filterConnectionsByTemplate(templatePath: TemplatePath, connections: ConnectionResponseDto[]): Promise<PromptChoices<ConnectionResponseDto>>;
//# sourceMappingURL=filter-connections-by-template.d.ts.map